<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::IMUDataReader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1IMUDataReader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1IMUDataReader-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::IMUDataReader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::IMUDataReader:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1IMUDataReader.png" usemap="#OpenSim::IMUDataReader_map" alt=""/>
  <map id="OpenSim::IMUDataReader_map" name="OpenSim::IMUDataReader_map">
<area href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D..." alt="OpenSim::DataAdapter" shape="rect" coords="91,0,264,24"/>
<area href="classOpenSim_1_1APDMDataReader.html" title="APDMDataReader is a class that reads files produced by IMU manufacturer APDM and produces datatables ..." alt="OpenSim::APDMDataReader" shape="rect" coords="0,112,173,136"/>
<area href="classOpenSim_1_1XsensDataReader.html" title="XsensDataReader is a class that reads files produced by IMU manufacturer Xsens and produces datatable..." alt="OpenSim::XsensDataReader" shape="rect" coords="183,112,356,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8e3da602a6759c8e99a10da5ac6ba65c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a8e3da602a6759c8e99a10da5ac6ba65c">IMUDataReader</a> ()=default</td></tr>
<tr class="separator:a8e3da602a6759c8e99a10da5ac6ba65c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a602c42d473194ad0ec0d6f76db60186b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a602c42d473194ad0ec0d6f76db60186b">IMUDataReader</a> (const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;)=default</td></tr>
<tr class="separator:a602c42d473194ad0ec0d6f76db60186b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af020dfd8c07436eaf6b50f73b2c8ceb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af020dfd8c07436eaf6b50f73b2c8ceb0">IMUDataReader</a> (<a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;)=default</td></tr>
<tr class="separator:af020dfd8c07436eaf6b50f73b2c8ceb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae307f227896543b20bb113c36d92f595"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#ae307f227896543b20bb113c36d92f595">operator=</a> (const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;)=default</td></tr>
<tr class="separator:ae307f227896543b20bb113c36d92f595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f08aa625cfecc6f8350206e4fc2318d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a6f08aa625cfecc6f8350206e4fc2318d">operator=</a> (<a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a6f08aa625cfecc6f8350206e4fc2318d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ac9bc356d31be4b41f6ef6e18193679"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a7ac9bc356d31be4b41f6ef6e18193679">~IMUDataReader</a> ()=default</td></tr>
<tr class="separator:a7ac9bc356d31be4b41f6ef6e18193679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:abf6ef44f97ac71f9cd1bd2b080491e85 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#abf6ef44f97ac71f9cd1bd2b080491e85">clone</a> () const =0</td></tr>
<tr class="separator:abf6ef44f97ac71f9cd1bd2b080491e85 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a> ()=default</td></tr>
<tr class="separator:ac36f915dd4045ef9c52344dd05efe654 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a0008a82aec446f1b6355f461578eccfe inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a62febc0569d61bb65f640347e09d503d inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">operator=</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;)=default</td></tr>
<tr class="separator:a75c26383f9e5ae455ea804f07d04b763 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">operator=</a> (<a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a80a45642463cb62a05f6f62440855fca inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a> ()=default</td></tr>
<tr class="separator:a1fa627d27f596e810e49498e6eda8a16 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a> (const std::string &amp;dataSourceSpecification) const</td></tr>
<tr class="memdesc:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Public interface to read data from a dataSourceSpecification, typically a file or folder.  <a href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">More...</a><br /></td></tr>
<tr class="separator:a7b8e9cede726e0eb399cb95c06f77b49 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">const std::shared_ptr&lt; <a class="el" href="classOpenSim_1_1AbstractDataTable.html">AbstractDataTable</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> &amp;tables, const std::string tableName)</td></tr>
<tr class="memdesc:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic interface to retrieve a specific table by name from read result.  <a href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">More...</a><br /></td></tr>
<tr class="separator:a556503152419f313eb483897a1be41f4 inherit pub_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af099917355f76eef9a655cb887a709df"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; SimTK::Quaternion_&lt; double &gt; &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af099917355f76eef9a655cb887a709df">getOrientationsTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:af099917355f76eef9a655cb887a709df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom accessors to retrieve tables of proper types without requiring users/scripters to cast.  <a href="classOpenSim_1_1IMUDataReader.html#af099917355f76eef9a655cb887a709df">More...</a><br /></td></tr>
<tr class="separator:af099917355f76eef9a655cb887a709df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bdd448380aa45dfd23fb4345ea23547"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a9bdd448380aa45dfd23fb4345ea23547">getLinearAccelerationsTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a9bdd448380aa45dfd23fb4345ea23547"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of LinearAccelerations as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a9bdd448380aa45dfd23fb4345ea23547">More...</a><br /></td></tr>
<tr class="separator:a9bdd448380aa45dfd23fb4345ea23547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c6f61fee0685d30a3dd8675ce430d2"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a44c6f61fee0685d30a3dd8675ce430d2">getMagneticHeadingTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a44c6f61fee0685d30a3dd8675ce430d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of MagneticHeading as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a44c6f61fee0685d30a3dd8675ce430d2">More...</a><br /></td></tr>
<tr class="separator:a44c6f61fee0685d30a3dd8675ce430d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69fae092f9117a089bae64e0e5120f9e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a69fae092f9117a089bae64e0e5120f9e">getAngularVelocityTable</a> (const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;tables)</td></tr>
<tr class="memdesc:a69fae092f9117a089bae64e0e5120f9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">get table of AngularVelocity as TimeSeriesTableVec3  <a href="classOpenSim_1_1IMUDataReader.html#a69fae092f9117a089bae64e0e5120f9e">More...</a><br /></td></tr>
<tr class="separator:a69fae092f9117a089bae64e0e5120f9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1DataAdapter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1DataAdapter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td></tr>
<tr class="memitem:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a> (const std::string &amp;identifier, const <a class="el" href="classOpenSim_1_1DataAdapter.html">DataAdapter</a> &amp;adapter)</td></tr>
<tr class="memdesc:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a concrete <a class="el" href="classOpenSim_1_1DataAdapter.html" title="DataAdapter is an abstract class defining an interface for reading/writing in/out the contents of a D...">DataAdapter</a> by its unique string identifier.  <a href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">More...</a><br /></td></tr>
<tr class="separator:a62f03a9de403f04f57ba03ca333407de inherit pub_static_methods_classOpenSim_1_1DataAdapter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8e3da602a6759c8e99a10da5ac6ba65c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e3da602a6759c8e99a10da5ac6ba65c">&#9670;&nbsp;</a></span>IMUDataReader() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IMUDataReader::IMUDataReader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a602c42d473194ad0ec0d6f76db60186b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a602c42d473194ad0ec0d6f76db60186b">&#9670;&nbsp;</a></span>IMUDataReader() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IMUDataReader::IMUDataReader </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af020dfd8c07436eaf6b50f73b2c8ceb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af020dfd8c07436eaf6b50f73b2c8ceb0">&#9670;&nbsp;</a></span>IMUDataReader() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::IMUDataReader::IMUDataReader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ac9bc356d31be4b41f6ef6e18193679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ac9bc356d31be4b41f6ef6e18193679">&#9670;&nbsp;</a></span>~IMUDataReader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::IMUDataReader::~IMUDataReader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a79a9329f287070fb0c62371776da8b8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a9329f287070fb0c62371776da8b8d">&#9670;&nbsp;</a></span>createTablesFromMatrices()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> OpenSim::IMUDataReader::createTablesFromMatrices </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dataRate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>labels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; double &gt; &amp;&#160;</td>
          <td class="paramname"><em>times</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SimTK::Matrix_&lt; SimTK::Quaternion &gt; &amp;&#160;</td>
          <td class="paramname"><em>rotationsData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;&#160;</td>
          <td class="paramname"><em>linearAccelerationData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;&#160;</td>
          <td class="paramname"><em>magneticHeadingData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;&#160;</td>
          <td class="paramname"><em>angularVelocityData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>create a map of names to TimeSeriesTables. </p>
<p>MetaData contains dataRate. The result can be passed to accessors above to get individual TimeSeriesTable(s) If a matrix has nrows = 0 then an empty table is created. </p>

</div>
</div>
<a id="a69fae092f9117a089bae64e0e5120f9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69fae092f9117a089bae64e0e5120f9e">&#9670;&nbsp;</a></span>getAngularVelocityTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a>&amp; OpenSim::IMUDataReader::getAngularVelocityTable </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;&#160;</td>
          <td class="paramname"><em>tables</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get table of AngularVelocity as TimeSeriesTableVec3 </p>

</div>
</div>
<a id="a9bdd448380aa45dfd23fb4345ea23547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bdd448380aa45dfd23fb4345ea23547">&#9670;&nbsp;</a></span>getLinearAccelerationsTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a>&amp; OpenSim::IMUDataReader::getLinearAccelerationsTable </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;&#160;</td>
          <td class="paramname"><em>tables</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get table of LinearAccelerations as TimeSeriesTableVec3 </p>

</div>
</div>
<a id="a44c6f61fee0685d30a3dd8675ce430d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44c6f61fee0685d30a3dd8675ce430d2">&#9670;&nbsp;</a></span>getMagneticHeadingTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a>&amp; OpenSim::IMUDataReader::getMagneticHeadingTable </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;&#160;</td>
          <td class="paramname"><em>tables</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get table of MagneticHeading as TimeSeriesTableVec3 </p>

</div>
</div>
<a id="af099917355f76eef9a655cb887a709df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af099917355f76eef9a655cb887a709df">&#9670;&nbsp;</a></span>getOrientationsTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt;SimTK::Quaternion_&lt;double&gt; &gt;&amp; OpenSim::IMUDataReader::getOrientationsTable </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">DataAdapter::OutputTables</a> &amp;&#160;</td>
          <td class="paramname"><em>tables</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Custom accessors to retrieve tables of proper types without requiring users/scripters to cast. </p>
<p>Scripting friendly get table of Orientations as TimeSeriesTableQuaternion </p>

</div>
</div>
<a id="ae307f227896543b20bb113c36d92f595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae307f227896543b20bb113c36d92f595">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a>&amp; OpenSim::IMUDataReader::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f08aa625cfecc6f8350206e4fc2318d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f08aa625cfecc6f8350206e4fc2318d">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a>&amp; OpenSim::IMUDataReader::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/IMUDataReader.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1IMUDataReader.html">IMUDataReader</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:44 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
